Recent

Author Topic: linux mint 19.2 broken build - not solved again  (Read 143 times)

bkhillyard

  • Newbie
  • Posts: 4
linux mint 19.2 broken build - not solved again
« on: December 03, 2019, 08:59:37 am »
Greetings.

I have been working to install FPC 3.0.4 & Lazarus 2.0.6 on Linux Mint 19.2

When I add a local package and then build it will work with no problems.

Whenever I try to install anything (one or many) through the online package manager, it errors when it goes to build with:

Build IDE:Exit code 2, errors: 1, Warnings:1

lazarus.pp(165,1)Error:Error while linking

I have tried several solutions from :

  libx11-dev,libgtk2.0.-dev, libgdk-pixbuf2.0=def, libcairo2-dev, libpangl1.0-dev, libgl1-mesa-dev 

  no luck on that.

  Also from another thread :

  cd /usr/share/fpcsrc/3.0.4
  sudo make clean all OS_TARGET=linux CPU_TARGET=x86_64 OVERRIDEVERSIONCHECK=1
  sudo make install OS_TARGET=linux CPU_TARGET=x86_64 INSTALL_PREFIX=/usr
  sudo rm -R /usr/share/lazarus/2.0.0/lcl/units/x86_64-linux

  no luck on that.

  From another thread :

   the qt5 vs qt4 build...

lazarus installs fine with :


     fpc-laz_3.0.4-1_amd64.deb
     fpc-src_3.0.4-2_amd64.deb
     lazarus-project_2.0.6-0_amd64.deb


When first installed, without using package manger but just loading from .lpk

I was able to install two or three single packages and build a new version with them.

After adding the BGRABitmapPack 10.6.4 - then the build - linker error shows.  I can't uninstall from that point and try building with uninstalling and still hitting the linker error.

If anyone has come across a simple fix I would appreciate it.  I am trying to "sync" my environments -  I have all of the components that I need and can compile my project on Win7, Win10.  I'm trying to get the linux version and will proceed the Raspberry Pi using the Buster build.

Thanks For your help....

Kindest Regards,

Brad



Followup

to get it to work - i used dpkg to install the deb files,

then did the updates of apt-get install    :      all of the lib dependancys - the main one being libgl-dev....

Regards.


After running online package manager and installing multiple comps. -  it errors with the linking error again !!!

Brad
« Last Edit: December 04, 2019, 09:54:42 pm by bkhillyard »

zeljko

  • Hero Member
  • *****
  • Posts: 1089
    • http://wiki.lazarus.freepascal.org/User:Zeljan
Re: linux mint 19.2 broken build
« Reply #1 on: December 03, 2019, 09:04:22 am »
There's usually missing lib name in linker errors, I don't see any in your post.

Handoko

  • Hero Member
  • *****
  • Posts: 3231
  • My goal: build my own game engine using Lazarus
Re: linux mint 19.2 broken build
« Reply #2 on: December 03, 2019, 10:28:19 am »
I sometimes get "Error while linking" error when I try to cross compile to the targets haven't prepared.